/* css/lib/email_validation_build.css */
/* Buttons */
.content-wrapper {
  position: relative;
  overflow: hidden;
}

.content-wrapper .state {
  position: absolute;
  width: 100%;
  text-align: center;
  display: none;
  pointer-events: none;
  -webkit-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
}

.content-wrapper .state .form-group {
  text-align: left;
}

.content-wrapper .state.past {
  -webkit-transform: translate3d(-105%, 0, 0);
  transform: translate3d(-105%, 0, 0);
  -webkit-transition: all 0.25s ease;
  transition: all 0.25s ease;
}

.content-wrapper .state.present {
  display: block;
  pointer-events: all;
  -webkit-transition: all 0.25s ease;
  transition: all 0.25s ease;
}

.content-wrapper .state.future {
  -webkit-transform: translate3d(105%, 0, 0);
  transform: translate3d(105%, 0, 0);
  -webkit-transition: all 0.25s ease;
  transition: all 0.25s ease;
}

.form-control {
  border-radius: 6px;
  border: 1px solid #e4e9eb;
  color: #333;
  height: 44px;
  -webkit-box-shadow: none;
  box-shadow: none;
}

.state .input-wrapper {
  position: relative;
}

.state .back {
  position: absolute;
  top: 50%;
  margin-top: -10px;
  left: 0px;
  z-index: 1;
  height: 20px;
  line-height: 20px;
  width: 40px;
  color: #333;
  cursor: pointer;
  text-align: center;
}

.state p {
  margin: 30px 0 20px;
}

.form-group .email-error,
.form-group .pin-error {
  display: none;
  font-size: 0.9em;
  color: #a94442;
  margin: 10px 0;
}

.form-group.has-error .email-error,
.form-group.has-error .pin-error {
  display: block;
}

.state .btn {
  margin: 20px auto 0;
  display: inline-block;
  outline: none;
}

.state .input-email {
  color: #333;
}

.state .note {
  margin: 10px 0;
  font-size: 0.9em;
  opacity: 0.5;
}

.state .have-code {
  visibility: hidden;
}

.state.has-code .have-code {
  visibility: visible;
}

.state .pin-resent {
  display: none;
  margin: 5px 0 0;
}

.state.new-pin .pin-resent {
  display: block;
}
/* OFFLINE STATUS */

body.device-offline .link-text {
  color: #d4d4d4;
}

body.device-offline .link-button-primary {
  color: #fff;
  background-color: #d4d4d4;
  pointer-events: none;
}
/* END OFFLINE STATUS */
@media (min-width: 640px) {
  .state .input-wrapper {
    max-width: 70%;
    margin: 0 auto;
  }
}


/* css/build.css */
/* Buttons */
.login-form-holder {
	display: none;
}

.login-form-holder h2,
.login-form-holder h3,
.login-form-holder p {
	text-align: center;
}

.login-form-holder p {
	opacity: 0.7;
}

.login-form-holder .form-group label {
  font-weight: normal;
  font-size: 0.8em;
}

input.form-control {
	border: 1px solid #e5e5e5;
	border-radius: 6px;
	-webkit-box-shadow: none;
	box-shadow: none;
	-webkit-appearance: none;
}

input.form-control:focus {
	border: 1px solid #337ab7;
	-webkit-box-shadow: none;
	box-shadow: none;
}

.fliplet-new-password .form-control + .form-control {
	margin-top: 10px;
}

.login-button-holder {
	text-align: center;
}

.btn-fliplet-login,
.btn-continue,
.btn-login-back {
  clear: both;
  width: 100%;
  min-width: 45%;
  padding: 10px 16px;
  font-size: 18px;
  line-height: 24px;
  border: none;
  text-align: center;
  cursor: pointer;
  border-radius: 6px;
}

.btn-continue {
  display: block;
}

[data-auth-type] .btn-fliplet-login,
[data-auth-type] .btn-login-back,
[data-auth-type] .btn-forgot-pass,
[data-auth-type] .password {
  display: none;
}

.login-form-holder .btn:focus,
.login-form-holder .btn:hover,
.login-form-holder .btn:active:focus {
  outline: none;
}

[data-auth-type="password"] .btn-fliplet-login,
[data-auth-type="password"] .btn-forgot-pass,
[data-auth-type="password"] .btn-login-back,
[data-auth-type="password"] .password {
  display: block;
}

[data-auth-type="password"] .btn-continue {
  display: none;
}

@media (min-width:640px) {
	.btn-fliplet-login,
  .btn-login-back,
  .btn-continue {
		clear: none;
		display: inline-block;
		width: auto;
		max-width: 100%;
	}
}

.login-offline .btn-fliplet-login {
	background-color: #d6d6d6;
	pointer-events: none;
}

.btn.disabled {
  opacity: 0.5;
  pointer-events: none;
}

.login-error-holder {
	margin-top: 1em;
	color: #b10000;
	display: none;
}

.login-error-holder p {
	margin-bottom: 0;
}

.login-offline-notification {
	text-align: center;
	color: #fff;
	background-color: #b10000;
	display: none;
}

.login-offline .login-offline-notification {
	display: block;
}
/* LOADER */
.login-loader-holder {
	overflow: hidden;
}

.loader {
	display: none;
}

.login-loader-holder.animated .loader {
	display: block;
}

.loader,
.loader:after {
	border-radius: 50%;
	width: 10em;
	height: 10em;
}

.loader {
	margin: 2px auto;
	font-size: 2px;
	position: relative;
	text-indent: -9999em;
	border-top: 1.1em solid rgba(138, 138, 138, 0.2);
	border-right: 1.1em solid rgba(138, 138, 138, 0.2);
	border-bottom: 1.1em solid rgba(138, 138, 138, 0.2);
	border-left: 1.1em solid #333;
	-webkit-transform: translateZ(0);
	-ms-transform: translateZ(0);
	transform: translateZ(0);
	-webkit-animation: load8 1.1s infinite linear;
	animation: load8 1.1s infinite linear;
}

.fl-two-auth {
  position: relative;
}

.fl-two-auth input {
  padding-left: 50px;
}

@-webkit-keyframes load8 {
	0% {
		-webkit-transform: rotate(0deg);
		transform: rotate(0deg);
	}

	100% {
		-webkit-transform: rotate(360deg);
		transform: rotate(360deg);
	}
}
@keyframes load8 {
	0% {
		-webkit-transform: rotate(0deg);
		transform: rotate(0deg);
	}

	100% {
		-webkit-transform: rotate(360deg);
		transform: rotate(360deg);
	}
}
/* @MEDIA QUERY */
@media screen and (min-width: 640px) {
	.container-fluid {
		padding: 0 12.5%;
	}
}

/* Fix component view when it is placed in the container */
[data-widget-package="com.fliplet.login"] {
  width: 100%;
}
